Get Application General Settings

get

/applications/{applicationName}/settings

Returns general settings of the specified application. Additional settings can be retrieved using the expand parameter.

Request

Path Parameters
Query Parameters
  • Use none to show only general settings (this is the default). Other options available: startup, security, and all.

Back to Top

Response

200 Response

OK

General application settings returned successfully, with links to get expanded settings and to edit settings.

400 Response

Failed to get the settings. The application name may be incorrect.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to get general and expanded settings of an Essbase application.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample_Dynamic/settings?expand=all&links=none" -H "Accept:application/json" -H "Content-Type:application/json" -u %User%:%Password%

Example of Response Body

{
  "general" : {
    "description" : "Application description",
    "logLevelAsString" : "INFO",
    "timeoutOnDataBlockLocks" : 60,
    "maxAttachmentFileSizeInKbs" : 0,
    "pendingCacheSizeLimitInMbs" : 0,
    "easManagedApp" : true
  },
  "startup" : {
    "allowUsersToStartApplication" : true,
    "startApplicationWhenServerStarts" : true
  },
  "security" : {
    "allowCommands" : true,
    "allowConnects" : true,
    "allowUpdates" : true
  }
}
Back to Top